V7.0
post
/ec-dc-svc/rest/v7.0/studies/{studyId}/{mode}/repeatSection/consolidatedRepeatInstanceNumbers
Returns list of repeat form numbers, form section IDs and repeat instance numbers that belong to a given subject, visit and formIds.
Request
Path Parameters
-
studyId(required): string(UUID)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest to compute consolidated repeat instance numbers across multiple forms for a subject
Show Source
-
forms: array
forms
List of form IDs for which consolidated repeat instance numbers are requested
-
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Nested Schema : forms
Type:
arrayList of form IDs for which consolidated repeat instance numbers are requested
Show Source
-
Array of:
string
List of form IDs for which consolidated repeat instance numbers are requestedExample:
["40DB4EF4847849CCB24EFCCB71CDA436","50DB4EF4847849CCB24EFCCB71CDA436"]
Example:
[
"40DB4EF4847849CCB24EFCCB71CDA436",
"50DB4EF4847849CCB24EFCCB71CDA436"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object ConsolidatedRepeatInstanceResponseDto
Consolidated repeat instance numbers per form and event.
Nested Schema : ConsolidatedRepeatInstanceResponseDto
Type:
objectConsolidated repeat instance numbers per form and event.
Show Source
-
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
CBCDEF1234567890ABCDEF1234567890 -
eventInstanceNumber: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
instances: array
instances
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.
Nested Schema : instances
Type:
arrayRepresents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.
Show Source
-
Array of:
string
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
["1","2"]
Example:
[
"1",
"2"
]Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object